Skip to content

商品販売トレンド

概要

指定した商品の指定期間内の販売トレンドデータを取得します。

  • 日次販売数や売上金額(GMV)などの詳細情報を返します。
  • 総販売数、総GMV、関連動画数などの商品概要情報を含みます。

API

bash
    POST /product/v1/salesTrend

filter オプション値

フィールド必須説明
product_idstringはい商品ID
daysintegerはい過去N日間: 1 <= days <= 28

リクエスト例

bash
curl 'https://openapi.fastmoss.com/product/v1/salesTrend' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729421229342823356",
        "days": 7
    }
}'

レスポンスボディ

data.list

フィールド説明
dtstring日付
units_soldinteger日次販売数
gmvfloat日次売上

data.overview

フィールド説明
units_soldinteger総販売数
gmvfloat総売上
live_countinteger関連ライブ配信数
creator_countinteger関連クリエイター数
aweme_countinteger関連動画数
currencystring通貨
regionstring国/地域

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "dt": "2026-03-08",
        "units_sold": 20,
        "gmv": 500.0
      }
    ],
    "overview": {
      "units_sold": 525,
      "gmv": 13125,
      "live_count": 168,
      "creator_count": 129,
      "aweme_count": 87,
      "currency": "USD",
      "region": "US"
    }
  },
  "message": "",
  "timestamp": 1743573478,
  "request_id": "2014e9b1-c0f5-3457-217e-50b4b574c761"
}